Subject: Re: [PATCH] Rename ".dotest/" to ".git/rebase" and ".dotest-merge" to "rebase-merge"

From: Olivier Marin <[email-masked]>
Date: Sat, 19 Jul 2008 22:25:48 +0200

Stephan Beyer a écrit :
> 
> If you mean with "work like I want" that it complains about an unclean
> work tree: the check is explicitly done by git-sequencer.

Yes, I mean: refuse to work if the tree is not clean _and_ --skip
and --abort clean the index/tree for me.
With current git version "git am --skip" refuse to continue with a
message: "Dirty index: cannot apply patches (dirty: ...)", if some
files stay unmerged.
As a user I find --skip and --abort useless^Wpainful to use in this
situation.

> I guess there are situations where you want to apply a patch on a dirty
> work tree, e.g. if you fixed some tiny issues so that patches can
> apply cleanly.

Maybe.

Olivier.